package mt

import (
	"f5"
	"main/mtb"
)

type PayServerCluster struct {
	mtb.PayServerCluster
}

type PayServerClusterTable struct {
	f5.IdMetaTable[PayServerCluster]
	selfConf *PayServerCluster
}

func (this *PayServerCluster) Init1() {

}

func (this *PayServerClusterTable) GetListenPort() int32 {
	return this.selfConf.GetListenPort()
}

func (this *PayServerClusterTable) GetHttpListenPort() int32 {
	return this.selfConf.GetHttpListenPort()
}

func (this *PayServerClusterTable) PostInit1() {
	this.selfConf = this.GetById(int64(f5.GetApp().GetInstanceId()))
	if this.selfConf == nil {
		panic("payserver集群无法读取本服配置")
	}
}
